## groovy.util.slurpersupport
Class NodeIterator

author:
  John Wilson

Field Summary
`Object` | `DELAYED_INIT`
`Iterator` | `iter`
`Object` | `nextNode`

Constructor Summary
`NodeIterator(Iterator iter)`

Method Summary
`Object` | `getNextNode(Iterator iter)`
`boolean` | `hasNext()`
`void` | `initNextNode()`
`Object` | `next()`
`void` | `remove()`

Constructor Detail

### NodeIterator

    public NodeIterator(Iterator iter)

Method Detail

### getNextNode

    Object getNextNode(Iterator iter)

### hasNext

    public boolean hasNext()

### initNextNode

    void initNextNode()

### next

    public Object next()

### remove

    public void remove()